summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests
diff options
context:
space:
mode:
Diffstat (limited to 'qpid/cpp/src/tests')
-rwxr-xr-xqpid/cpp/src/tests/ais_check4
-rwxr-xr-xqpid/cpp/src/tests/start_cluster5
2 files changed, 5 insertions, 4 deletions
diff --git a/qpid/cpp/src/tests/ais_check b/qpid/cpp/src/tests/ais_check
index ae0edf88c1..344f15a94e 100755
--- a/qpid/cpp/src/tests/ais_check
+++ b/qpid/cpp/src/tests/ais_check
@@ -2,7 +2,7 @@
# Check for requirements, run AIS tests if found.
#
-id -nG | grep '\<ais\>' || \
+id -nG | grep '\<ais\>' >/dev/null || \
NOGROUP="You are not a member of the ais group."
ps -u root | grep aisexec >/dev/null || \
NOAISEXEC="The aisexec daemon is not running as root"
@@ -24,4 +24,4 @@ EOF
exit 0; # A warning, not a failure.
fi
-echo ./ais_run | newgrp ais
+echo `dirname $0`/ais_run | newgrp ais
diff --git a/qpid/cpp/src/tests/start_cluster b/qpid/cpp/src/tests/start_cluster
index 03fb671bdf..876913bc2d 100755
--- a/qpid/cpp/src/tests/start_cluster
+++ b/qpid/cpp/src/tests/start_cluster
@@ -9,10 +9,11 @@ test -z "$*" && { echo "Usage: $0 cluster-size [options]"; exit 1; }
rm -f cluster*.log cluster.ports
SIZE=$1
shift
-OPTS=$*
CLUSTER=`whoami` # Cluster name=user name, avoid clashes.
+OPTS="--load-module ../.libs/libqpidcluster.so -dp0 --log-output=cluster$i.log --cluster-name=$CLUSTER --no-data-dir --auth=no $*"
+
for (( i=0; i<SIZE; ++i )); do
- PORT=`../qpidd --load-module ../.libs/libqpidcluster.so -dp0 --log-output=cluster$i.log --cluster-name $CLUSTER $OPTS` || exit 1
+ PORT=`../qpidd $OPTS` || exit 1
echo $PORT >> cluster.ports
done